
Foreman - Bug #2641

Host/edit JS doesn't respect @host.type_changed?

06/10/2013 12:17 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We've added type_changed? to the new_record? tests to allow the Host form to refresh when a Hostgroup is selected for Discovered

Hosts being provisioned. This change needs to be reflected in the JS.

https://github.com/theforeman/foreman/pull/699

Associated revisions

Revision c5e90813 - 06/12/2013 10:32 AM - Greg Sutcliffe

Fixes #2641 - Add type_changed check to JS to allow form to refresh when provisioning a discovered host

Revision bd171ef7 - 06/12/2013 04:11 PM - Greg Sutcliffe

Fixes #2641 - Add type_changed check to JS to allow form to refresh when provisioning a discovered host

(cherry picked from commit c5e90813c8cb1e031ae43dd6f00b359119958a19)

History

#1 - 06/12/2013 11:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c5e90813c8cb1e031ae43dd6f00b359119958a19.
